var urlParts = window.location.pathname.split("/").filter(function (el) {
    return el !== "";
});

var neteye_version = urlParts[0];

// search bar will change only if current neteye version is within the last 10 versions.
const neteye_versions = JSON.parse(getCookie('neteye_userguide_versions'));
const last10NeteyeVersions = neteye_versions.slice(0, 10).map(version => version.version);

const searchbar = document.querySelector("#searchbar");
const logo = document.querySelector(".new-search-logo");
if (last10NeteyeVersions.includes(neteye_version)) {
    searchbar.setAttribute("placeholder", "Try new Search");
    searchbar.classList.add("new-search");
    logo.classList.add("new-search");
    $(".GlobalSearch-module--inputWrapper").addClass("new-search");
} else {
    searchbar.setAttribute("placeholder", "Search");
}

const search_performed = Cookies.get('neteye_userguide_search_performed');
if (!search_performed) {
    animateSearchLogo();
}

function animateSearchLogo() {
    const logo = document.querySelector(".new-search-logo");
    logo.classList.toggle('animate');
    setTimeout(animateSearchLogo, 6000);
}
